Write-Output "Turn the rotator power off. Note that you may need to run this script a few times, the timing is tight."
$portname = Read-Host "Enter the COM Port the Pyxis is connected to, IE COM1."
Read-Host "Power on the rotator. After it starts to home press enter."
$port= new-Object System.IO.Ports.SerialPort $portname, 19200,None,8,one
$port.Open()
$port.WriteLine("QQQQQQQ")
$port.WriteLine("QQQQQQQ")
Start-Sleep -s 1
$data = $port.ReadExisting()
Write-Output $data
if ($data.Contains("QF")){
    Write-Output "Rotator Halted"
    $port.Write("CCLINK");
    if ($port.ReadLine().Contains("!")){
        $port.Write("CJ1111")
        Start-Sleep -s .2
        $port.Write("CJ1111")
        Start-Sleep -s .2
        Write-Output "Next you must power cycle the rotator."
        Write-Output "If it is not homing on boot you can connect from Pyxis Commander and move it. If it does home you can run this script again"
        Write-Output "Note that you MUST home it after unwinding the cables and moving the home magnet to a safe location."
        Write-Output "Failing to do so may result in anther cable wrap"
        Write-Output "You may neeed to turn Home on Start back on and repeat this process again if you need more the 180 degrees of travel."
    }
    else{
        Write-Output "Failed to connect to Rotator"
    }
}
else{
    Write-Output "Failed to halt Rotator"
}
$port.Close()
Read-Host "Press enter to exit."
